Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Node

    java.lang.Object
      |
      +--org.hsqldb.Node

class Node
extends java.lang.Object

Class declaration

Field Summary
`(package private) int` | `iBalance`
`(package private) int` | `iLeft`
`(package private) int` | `iParent`
`(package private) int` | `iRight`
`(package private) Node` | `nLeft`
`(package private) Node` | `nNext`
`(package private) Node` | `nParent`
`(package private) Node` | `nRight`
`(package private) Row` | `rData`

Constructor Summary
`(package private)` | `Node(Row r, java.io.DataInput in, int id)` Constructor declaration
`(package private)` | `Node(Row r, int id)` Constructor declaration

Method Summary
`(package private) void` | `delete()` Method declaration
`(package private) boolean` | `equals(Node n)` Method declaration
`(package private) int` | `getBalance()` Method declaration
`java.lang.Object[]` | `getData()` Method declaration
`(package private) int` | `getKey()` Method declaration
`(package private) Node` | `getLeft()` Method declaration
`(package private) Node` | `getParent()` Method declaration
`(package private) Node` | `getRight()` Method declaration
`(package private) void` | `setBalance(int b)` Method declaration
`(package private) void` | `setLeft(Node n)` Method declaration
`(package private) void` | `setParent(Node n)` Method declaration
`(package private) void` | `setRight(Node n)` Method declaration
`(package private) void` | `write(java.io.DataOutput out)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iBalance

    int iBalance

### iLeft

    int iLeft

### iRight

    int iRight

### iParent

    int iParent

### nLeft

    Node nLeft

### nRight

    Node nRight

### nParent

    Node nParent

### nNext

    Node nNext

### rData

    Row rData

Constructor Detail

### Node

    Node(Row r,
         java.io.DataInput in,
         int id)
    throws java.io.IOException,
           java.sql.SQLException

  Constructor declaration
  Parameters:
    `r` -
    `in` -
    `id` -

### Node

    Node(Row r,
         int id)

  Constructor declaration
  Parameters:
    `r` -
    `id` -

Method Detail

### delete

    void delete()

  Method declaration

### getKey

    int getKey()

  Method declaration
  Returns:

### getLeft

    Node getLeft()
           throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### setLeft

    void setLeft(Node n)
           throws java.sql.SQLException

  Method declaration
  Parameters:
    `n` -
  Throws:
    java.sql.SQLException -

### getRight

    Node getRight()
            throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### setRight

    void setRight(Node n)
            throws java.sql.SQLException

  Method declaration
  Parameters:
    `n` -
  Throws:
    java.sql.SQLException -

### getParent

    Node getParent()
             throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### setParent

    void setParent(Node n)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `n` -
  Throws:
    java.sql.SQLException -

### getBalance

    int getBalance()
             throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### setBalance

    void setBalance(int b)
              throws java.sql.SQLException

  Method declaration
  Parameters:
    `b` -
  Throws:
    java.sql.SQLException -

### getData

    public java.lang.Object[] getData()
                               throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### equals

    boolean equals(Node n)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `n` -
  Returns:
  Throws:
    java.sql.SQLException -

### write

    void write(java.io.DataOutput out)
         throws java.io.IOException,
                java.sql.SQLException

  Method declaration
  Parameters:
    `out` -
  Throws:
    java.io.IOException -
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD